import { baseUrl } from "./config.js";
import { getHttp, postHttp } from "./request.js";

/* 上传 */
export const uploadurl = baseUrl + "/resource/image/upload";
// 校验token接口
export const checkToken = (params) => {
  return getHttp("/user/check/status", params, 0);
};
/*  */
export const Report = {
  /* 报告详情  ArticleId */
  reportDtl: (params) => {
    return getHttp("/article/detail", params);
  },
  /* 报告详情  ArticleId */
  reportDtlTwo: (params) => {
    return getHttp("/tactics/detail", params);
  },
  /* 收藏 ArticleId*/
  collectRpt: (params) => {
    return postHttp("/article/collect", params, 0);
  },
  /* 申请访谈 ArticleId*/
  applyRpt: (params) => {
    return postHttp("/article/interview/apply", params, 0);
  },
  /* 新增文章带问接口 ArticleId*/
  articleAskAdd: (params) => {
    return postHttp("/article/askAdd", params, 0);
  },
  /* 下载PDF打水印接口*/
  articlePdfwatermark: (params) => {
    return getHttp("/article/pdfwatermark", params, 1);
  },
};

/* 用户 */
export const User = {
  /* 
		微信登录  Code  
  */
  wechatLog: (params) => {
    return getHttp("/wechat/login", params, 0);
  },
  /* 获取手机验证码  Mobile * AreaNum */
  getPhoneCode: (params) => {
    return getHttp("/wechat/getSmsCode", params);
  },
  /* 获取邮件验证码  Email */
  getEmailCode: (params) => {
    return getHttp("/wechat/getEmailCode", params);
  },
  /* 
		传输uid   
		"EncryptedData": "string",
	   "Iv": "string",
	   "RawData": "string",
	   "Signature": "string"
	 */
  sendInfo: (params) => {
    return postHttp("/wechat/getUserInfo", params, 0);
  },
  /* 获取手机号  "EncryptedData": "string","Iv": "string"*/
  getPhoneNum: (params) => {
    return postHttp("/wechat/getPhoneNumber", params);
  },
  /* 
	登录 绑定手机号邮箱
	"Email": "string",
	 "LoginType": 0 1手机号 2邮箱,
	 "Mobile": "string"
	 */
  Bind: (params) => {
    return postHttp("/user/login", params);
  },
  /* 
	 申请试用
		 ApplyMethod:
		 1:已付费客户申请试用，2:非客户申请试用 3未付费
		 BusinessCardUrl
		 CompanyName
		 RealName
	 */
  applyTry: (params) => {
    return postHttp("/user/apply/try", params, 0);
  },
  //获取是否需要填写区号接口
  countryCcode: (params) => {
    return getHttp("/user/countryCcode/isNeedAdd", params, 0);
  },
  //上传用户区号接口
  countryCcodeAdd: (params) => {
    return postHttp("/user/countryCcode/Add", params, 0);
  },
  //上传页面访问统计
  pageHistory: (params) => {
    return postHttp("/config/pageHistory", params, 0);
  },
  //我的提问
  getAskList: (params) => {
    return getHttp("/user/ask/list");
  },
  //更改用户微信头像
  headimgurlUpdate: (params) => {
    return postHttp("/user/headimgurl/update", params);
  },
};

/* 首页 */
export const Home = {
  /* 
	列表
	PageSize * CurrentIndex * ChartPermissionId *品类id，最新传0
	*/
  getList: (params) => {
    return getHttp("/home/artAndChart/list", params);
  },
  /* 获取品种 */
  Tab: (params) => {
    return getHttp("/permission/all", params, 0);
  },
};
/* 个人中心 */
export const Mine = {
  /* 我的收藏列表 PageSize CurrentIndex  */
  getCollect: (params) => {
    return getHttp("/user/collect/list", params);
  },
  /* 用户信息 */
  getInfo: (params) => {
    return getHttp("/user/detail", params, 0);
  },
  /* 获取访谈列表 PageSize CurrentIndex*/
  getInterview: (params) => {
    return getHttp("/user/interview/apply/list", params);
  },
  /* 获取浏览历史 */
  getHistory: (params) => {
    return getHttp("/user/browse/history/list", params);
  },
  /* 优化建议 */
  advice: (params) => {
    return postHttp("/advice/add", params);
  },
};
/* 搜索 */
export const Search = {
  /* 获取搜索推荐词 */
  getKeys: (params) => {
    return getHttp("/config/detail", params, 0);
  },
  /* 搜索  KeyWord */
  getResult: (params) => {
    return getHttp("/search/list", params, 0);
  },
  /* 报告搜索  KeyWord */
  getResultReport: (params) => {
    return getHttp("/search/report/list", params, 0);
  },
  /* 报告 KeyWord 素材库*/
  getArtAndChartList: (params) => {
    return getHttp("/search/artAndChart/list", params, 0);
  },
};

/* 报告  */
export const Reports = {
  /* 获取报告一级分类 */
  getClassify: (params) => {
    return getHttp("/permission/reportallV7", params, 0);
  },
  /* 获取策略的分类 */
  getstrategyAll: (params) => {
    return getHttp("/permission/strategyAll", params);
  },
  /* 获取策略的文章 */
  getTacticsList: (params) => {
    return getHttp("/tactics/list", params);
  },
  /* 获取产业报告分类列表接口*/
  getTradeList: (params) => {
    return getHttp("/report/home/tradeList", params, 0);
  },
  /* 报告搜索接口*/
  getReportSearchReport: (params) => {
    return getHttp("/report/searchReport", params, 0);
  },

  /* 获取产业报告分类列表接口*/
  getIndustryList: (params) => {
    return getHttp("/report/home/industryList", params, 0);
  },
  /* 获取产业文章列表接口*/
  getIndustryAndArticle: (params) => {
    return getHttp("/report/searchResource", params, 0);
  },
  /* 是否置顶*/
  postToptt: (params) => {
    return postHttp("/report/top", params, 0);
  },
  /* 是否置顶*/
  reportFllow: (params) => {
    return postHttp("/report/fllow", params, 0);
  },
  /* 是否置顶*/
  industryListByDepartment: (params) => {
    return getHttp("/report/industryListByDepartment", params, 0);
  },
  /* 获取产业文章列表接口*/
  industryReportList: (params) => {
    return getHttp("/report/industry/reportList", params);
  },
  /* 关注作者/取消关注作者 接口*/
  reportFllowDepartment: (params) => {
    return postHttp("/report/fllowDepartment", params, 0);
  },
  /* 获取策略列表接口*/
  getTactics: (params) => {
    return getHttp("/tactics/list", params);
  },
  /* 产业下所关联的文章分类列表接口*/
  toArticleCategoryList: (params) => {
    return getHttp("/report/toArticleCategoryList", params);
  }, //
  /* 产业下所关联的文章分类列表接口*/
  getArticleList: (params) => {
    return getHttp("/report/industry/ArticleList", params);
  },
  /*上传文章阅读时间接口*/
  addStopTime: (params) => {
    return postHttp("/article/addStopTime", params, 0);
  },
  /* 获取研选最新主题关键词文章列表接口*/
  reportListNew: (params) => {
    return getHttp("/report/industry/reportListNew", params);
  },
  /* 获取是否展示绝密内参接口*/
  reportIsShow: (params) => {
    return getHttp("/report/isShow", params);
  },
  /* 获取报告精选、本周研究汇总、上周纪要汇总列表接口*/
  reportListByType: (params) => {
    return getHttp("/report/reportList/byType", params);
  },
  /* 获取报告精选详情接口*/
  reportSelectionDetail: (params) => {
    return getHttp("/report/reportSelection/detail", params);
  },
  /* 获取本周研究汇总详情接口*/
  researchSummaryDetail: (params) => {
    return getHttp("/report/researchSummary/detail", params);
  },
  /* 获取上周研究汇总详情接口*/
  minutesSummaryDetail: (params) => {
    return getHttp("/report/minutesSummary/detailv4", params);
  },
  /* 获取报告详情接口 /  路演精华*/
  roadshowEssence: (params) => {
    return getHttp("/report/roadshowEssence/detail", params);
  },
  /* 报告榜单table栏*/
  getHotTableList: (params) => {
    return getHttp("/report_billboard/table/list", params);
  },
  /* 获取产业关注榜接口*/
  getIndustryFllowList: (params) => {
    return getHttp("/report_billboard/industry/fllowList", params);
  },
  /* 获取阅读飙升榜/报告收藏榜接口 */
  getIndustryReadList: (params) => {
    return getHttp("/report_billboard/industry/readList", params);
  },
  
};
/* 活动  */
export const activity = {
  /* 获取活动列表接口*/
  getActivityList: (params) => {
    return getHttp("/activity/list", params);
  },
  /* 获取活动列表接口*/
  getActivityDetail: (params) => {
    return getHttp("/activity/detail", params);
  },
  /* 获取活动详情接口*/
  getUserSearchContent: (params) => {
    return getHttp("/activity/getUserSearchContent", params);
  },
  /* 活动报名接口*/
  signupAdd: (params) => {
    return postHttp("/activity/signup/add", params);
  },
  /* 活动取消报名接口*/
  signupCancel: (params) => {
    return postHttp("/activity/signup/cancel", params);
  },
  /* 获取活动列表接口*/
  getScheduleList: (params) => {
    return getHttp("/activity/scheduleList", params);
  },
  /* 活动取消报名接口*/
  meetingReminderAdd: (params) => {
    return postHttp("/activity/meetingReminder/add", params);
  },
  /* 取消会议提醒接口*/
  meetingReminderCancel: (params) => {
    return postHttp("/activity/meetingReminder/cancel", params);
  },
  /* 获取敏捷搜索关键词的列表接口*/
  fastSearchKeWord: (params) => {
    return getHttp("/activity/labelMoreList", params);
  },
  /*用户修改外呼手机号以及区号接口*/
  addOutboundMobile: (params) => {
    return postHttp("/user/countryCcode/addOutboundMobile", params);
  },
  /*新增活动带问接口*/
  activityAskAdd: (params) => {
    return postHttp("/activity/askAdd", params);
  },
  /*获取研选说明接口*/
  descriptionOfResearch: (params) => {
    return getHttp("/config/descriptionOfResearch", params);
  },
  /*获取主题活动接口*/
  getActivityListNew: (params) => {
    return getHttp("/activity/listNew", params);
  },
  /*获取活动类型下的主题列表接口（4.3版本）*/
  getActivityLabelTypeList: (params) => {
    return getHttp("/activity/labelTypeListV5", params);
  },
  /* 校验活动带问是否有权限接口 */
  checkAskActivity: (params) => {
    return postHttp("/activity/checkAsk", params, 0);
  },
  /*获取专项产业调研列表接口*/
  getSpecialList: (params) => {
    return getHttp("/activity/special/list", params);
  },
  /*获取专项产业调研列表接口*/
  getSpecialDetailList: (params) => {
    return getHttp("/activity/special/detail", params);
  },
  /*感兴趣、不感兴趣接口*/
  postSpecialSignupAdd: (params) => {
    return postHttp("/activity/special/signup/add", params);
  },
  /*获取专项产业调研列表接口*/
  postSpecialFollow: (params) => {
    return postHttp("/activity/special/follow", params);
  },
  /*预约纪要接口*/
  postAppointmentAdd: (params) => {
    return postHttp("/activity/appointment/add", params);
  },
  /*取消预约纪要接口*/
  postAppointmentCancel: (params) => {
    return postHttp("/activity/appointment/cancel", params);
  },
};
export const Research = {
  /* 近期更新主题列表接口 */
  researchNewList: (params) => {
    return getHttp("/research/theme/newList", params, 0);
  },
  /* 用户收藏列表接口 */
  researchCollectionList: (params) => {
    return getHttp("/research/collectionList", params, 0);
  },
  /* 主题热度/近期更新更多,列表接口 */
  researchHotList: (params) => {
    return getHttp("/research/hotList", params, 0);
  },
  /* KOL榜列表接口 */
  researchKolList: (params) => {
    return getHttp("/research/kolList", params, 0);
  },
  /* 研选作者详情接口 */
  departmentIdDetail: (params) => {
    return getHttp("/research/departmentId/detail", params, 0);
  },
  /* 研选作者详情接口 */
  researchThemeDetail: (params) => {
    return getHttp("/research/theme/detail", params, 0);
  },
  /* 热搜关键词接口 */
  researchHotKeyWord: (params) => {
    return getHttp("/research/hotKeyWord", params, 0);
  },
};
export const FreeButton = {
  /*获取是否展示免费试用按钮接口*/
  userIsShowFreeButton: (params) => {
    return getHttp("/user/isShow/freeButton", params, 0);
  },
  /* 隐藏当天的按钮接口 */
  userFreeButtonUpdate: (params) => {
    return postHttp("/user/freeButton/update", params, 0);
  },
  /*分享的时候判断是不是弘则的手机号*/
  userIsShowShare: (params) => {
    return getHttp("/user/isShow/share", params, 0);
  },
  /*获取权限弹窗是否展示免费月卡接口*/
  userIsShowAlert: (params) => {
    return getHttp("/user/isShow/alert", params, 0);
  },
  /*获取权限弹窗是否展示免费月卡接口*/
  wechatShareImage: (params) => {
    return postHttp("/wechat/shareImage", params, 0);
  },
};

export const Chart = {
  /*图表标签分类接口*/
  getChartPatg: (params) => {
    return getHttp("/chart/patg", params);
  },
  /*我的收藏接口*/
  getChartcollection: (params) => {
    return getHttp("/chart/my/collection", params);
  },
  /*删除我的收藏接口*/
  myChartCollect: (params) => {
    return postHttp("/chart/collect", params);
  },
  /*图表的详情*/
  myChartDetail: (params) => {
    return getHttp("/chart/detail", params);
  },
  /*图表的详情*/
  myChartTop: (params) => {
    return postHttp("/chart/top", params);
  },
};
